Summary:        AV1 cross-platform Decoder
Name:           dav1d
Version:        1.1.0
Release:        2%{?dist}
License:        BSD
URL:            https://code.videolan.org/videolan/dav1d
Source0:        %{url}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc nasm meson
BuildRequires:  pkgconfig(libxxhash)
Requires:       libdav1d = %{version}-%{release}

%description
Dav1d is an AV1 cross-platform decoder, open-source, and focused on
speed and correctness.

This project was partially funded by the Alliance for Open Media/AOM.


%package -n libdav1d
Summary:        Library files for dav1d

%description -n libdav1d
Library files for %{name}.


%package -n libdav1d-devel
Summary:        Development files for dav1d
Requires:       libdav1d = %{version}-%{release}

%description -n libdav1d-devel
Development files for %{name}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%doc CONTRIBUTING.md NEWS README.md
%{_bindir}/dav1d


%files -n libdav1d
%license COPYING doc/PATENTS
%{_libdir}/libdav1d.so.6*


%files -n libdav1d-devel
%{_includedir}/dav1d/
%{_libdir}/libdav1d.so
%{_libdir}/pkgconfig/dav1d.pc


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Wed Apr 19 2023 rockerzhu <rockerzhu@tencent.com> - 1.1.0-1
- Initial build
